Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		fontconfig
Version:	2.6.0
Release:	3
License:	MIT
URL:		http://fontconfig.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
Source1: 	40-blacklist-fonts.conf
Source2: 	50-no-hint-fonts.conf
Source3:	local.conf

Patch1: 	fontconfig-2.3.95-defaultconfig.patch
Patch3: 	fontconfig-2.4-cmap-parsing.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Fontconfig is a library for font customization and configuration.

Requires:	expat
BuildRequires:	expat-devel
BuildRequires:  glibc-devel
BuildRequires:  freetype-devel
BuildRequires:  zlib perl

Requires(pre):	/bin/rm
Requires(pre):	/bin/touch
Requires(pre):	/bin/mkdir

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Fontconfig is a library for font customization and configuration.
For more details see: http://fontconfig.org

%package	devel
Summary: 	%{name} development headers.
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release} freetype-devel

%description	devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%post
/sbin/ldconfig
umask 0022
/bin/mkdir -p %{_localstatedir}/cache/fontconfig

# Remove stale caches
/bin/rm -f %{_localstatedir}/cache/fontconfig/????????????????????????????????.cache-2
/bin/rm -f %{_localstatedir}/cache/fontconfig/stamp

if [ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache --version 2>&1 | grep -q %{version} ; then
  HOME=/root /usr/bin/fc-cache -f
fi

%postun
ldconfig

%prep
%setup -q
#%patch1 -p1 -b .defaultconfig
#%patch3 -p1 -b .cmap-parsing

%build
%configure \
--with-add-fonts=/usr/share/X11/fonts/Type1,/usr/share/X11/fonts/TTF
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/

# move installed doc files back to build directory to package themm
# in the right place
mv $RPM_BUILD_ROOT%{_docdir}/fontconfig/* .
rmdir $RPM_BUILD_ROOT%{_docdir}/fontconfig/

# All font packages depend on this package, so we create
# and own /usr/share/fonts
mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%doc fontconfig-user.txt fontconfig-user.html
%_libdir/libfontconfig.so.*
%_bindir/fc-cache
%_bindir/fc-list
%_bindir/fc-match
%_bindir/fc-cat
%dir %_sysconfdir/fonts
%dir %_sysconfdir/fonts/conf.d
%dir %_datadir/fonts
%_sysconfdir/fonts/fonts.dtd
%config %_sysconfdir/fonts/fonts.conf
%config %_sysconfdir/fonts/local.conf
%config %_sysconfdir/fonts/conf.d/*.conf
%config %_sysconfdir/fonts/conf.avail/*.conf
%_sysconfdir/fonts/conf.d/README
#%_sysconfdir/fonts/conf.avail/README
%dir %_localstatedir/cache/fontconfig
%_mandir/man1
%_mandir/man5

%files devel
%defattr(-,root,root)
%doc fontconfig-devel.txt fontconfig-devel
%_libdir/libfontconfig.so
%_pkgconfig
%_includedir/fontconfig
%_mandir/man3
%_libdir/*.la
%_libdir/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.6.0-3
- added Requires(pre)
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.6.0-2
- Version update
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.2-3
- fixed post scriplet
* Fri Jan 11 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.2-2
- remove bad install behavior
* Sun May 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.2-1
- Version update
* Wed Sep 13 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.95-3
- readded missing .la and .a files
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.95-2
- added local.conf for xorg 7.1
* Wed Jul 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.95-1
- Version update
* Wed Jul 05 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.2-4
- rebuilt with new font path
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.2-3
- added BuildRequires
* Sun Apr 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.2-2
- Fixed minor Bug
* Sun Jul 10 2005 Christian Wasem <wasem@ccux-linux.de> 2.3.2-1
- update to Version 2.3.2
